Get Dataset Folders
Endpoint used to get dataset folders.
Request Example
Section titled “Request Example”curl --request GET \ --url https://chat.api.toolzz.com.br/api/v1/knowledge/folder/knowledge/{knowledgeBaseId} \ --header 'Authorization: Bearer TOKEN_HERE'Response Example
Section titled “Response Example”{ "id": "uuid", "institutionId": "uuid", "name": "string", "knowLedgeBaseId": "uuid", "isRoot": true}Request description
Section titled “Request description”Access Token
Section titled “Access Token”| Parameter | Type | Description | Required |
|---|---|---|---|
Authorization | String | Access token (“Bearer” must be before the token) | Yes |
URL Parameters
Section titled “URL Parameters”| Parameter | Type | Description | Required |
|---|---|---|---|
knowledgeBaseId | UUID | Unique knowledge base identifier. | Yes |
Response description
Section titled “Response description”| Key | Type | Description |
|---|---|---|
id | UUID | Unique knowledge base identifier. |
institutionId | UUID | Unique institution identifier. |
name | String | Folder name. |
knowLedgeBaseId | UUID | Unique knowledge base identifier. |
isRoot | Boolean | Indicates if the folder is the root. |
Security
Section titled “Security”To access this endpoint, it is necessary to send a valid access token through the authorization header (Authorization) of the request. Additionally, the API is protected by other security measures to safeguard user data.
To access your access token, follow these steps:
- Log in to the ToolzzAI platform
- Click on “Settings”
- Click on “Access Token”
- Copy the access token
